Overview
Developer Tools
Migration Guides
Travel Time Matrix API
Isochrone API
H3 API
Geohash API
Distance Map API
Routes API
Geocoding API
Additional API Reference
Error Handling
ArcGIS plugin
Alteryx plugin
/v4/time-map/fast

Isochrones (Fast)
Copy link

A very fast version of Isochrone API. However, the request parameters are much more limited. Supported countries list available here.

Currently supports only POST requests

Request Body
Copy link

Searches based on arrival time. Arrive at a destination or multiple destinations at no later than given time.

Hide child attributes

This returns the reachable area for journeys arriving at the chosen arrival location. You can define a maximum of 10 searches.

Hide child attributes

Used to identify each search in the results array. Must be unique among all searches.

Coordinates of the arrival location.

Show child attributes
Show child attributes

Possible values: weekday_morning

Maximum journey time (in seconds).
Maximum value is 10800 (3 hours) as standard. To discuss increasing this, please contact hello@traveltime.com.

Specifies level of detail of returned shape.

Show child attributes

Specifies polygon filter of a single shape.

Show child attributes

Enable to remove holes from returned polygons.
Note that this will likely result in loss in accuracy.

  • approximate_time_filter (default) - the shape matches time-filter results as much as possible
  • road_buffering - the shape looks as if traversed roads of the search have been painted over with a wide brush

Minimum value is 250 meters. Default value is 1000 meters.

  • when render_mode=approximate_time_filter - controls how far from the reached road network the isochrone generation algorithm may consider locations as reachable.
  • when render_mode=road_buffering - controls how far the final polygon is expanded outward from the reached roads. This behaves like applying a positive geometric offset to the collection of lines derived from the reached road segments.

Adjusts the process of looking up the nearest roads from the departure / arrival points.

Show child attributes

This returns the reachable area for journeys departing from the chosen departure location. You can define a maximum of 10 searches.

Show child attributes

Response Body
Copy link

We support multiple response formats, the format can be set using the Accept header. Supported formats:

  • application/json - This is the default if no format was specified.
  • application/vnd.wkt+json
  • application/vnd.wkt-no-holes+json
  • application/geo+json
  • application/vnd.bounding-boxes+json - This format does not include holes

When output_format is application/json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes
array[object]
Show child attributes

Properties array. Only the properties included in the request are returned.

Show child attributes

When output_format is application/geo+json
Copy link

FeatureCollection
array[Feature]

Contains collection of features.

Hide child attributes
Feature

Contains MultiPolygon.

Show child attributes

Feature properties.

Show child attributes

When output_format is application/vnd.wkt+json or application/vnd.wkt-no-holes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes

A string containing the shape in Well-known text (WKT)

Properties array. Only the properties included in the request are returned.

Show child attributes

When output_format is application/vnd.bounding-boxes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes
array[object]
Show child attributes

Properties array. Only the properties included in the request are returned.

Show child attributes

Examples
Copy link

Request
Copy link

Loading

Response Body
Copy link

Loading
Hide code example

Request

Loading

Response

Loading